<?php
	include_once(__DIR__."/../../core.php");

	
	
	$idmodulo = $html->form('idmodule');
	$module_name=get_module_name_by_id($idmodulo);

	
	$iddocumento = $html->form('iddocumento');
	$dir = get_var_tipodoc2($iddocumento,"dir");			
	$rs = $dbo->fetchArray("select id as idintervento , descrizione from co_tipidocumento");	
	$n2 = sizeof($rs);
	
	
	$rs_ana = $dbo->fetchArray("select idanagrafica , ragione_sociale  from an_anagrafiche where deleted = 0 order by ragione_sociale");	
	$n3 = sizeof($rs_ana);
	
	$numero=get_var_tipodoc2($iddocumento,"numero_documento");	

	/*
		Form di inserimento riga documento
	*/
	echo "<label>Documento di origine numero $numero </label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$iddocumento."\" method=\"post\">\n";
	echo "	<input type='hidden' name='op' value='add_duplica'>\n";
	echo "	<input type='hidden' name='dir' value='".$dir."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";
	
	echo "	<div class='row'>\n";


	//Seleziona tipologia documento
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Tipo documento</label>\n";	
	if( ($n2) == 0 ){
		echo "				... Non ci sono tipologie documenti in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idintervento\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idintervento\" name=\"idintervento\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"\">- Seleziona una tipologia -</option>\n";				
		echo "					<optgroup label=\"Tipologie documento (".$n2.")\">\n";		
		for( $i=0;$i<$n2;$i++ ){					
			echo "				<option value=\"".$rs[$i]['idintervento']."\"  >".$rs[$i]['descrizione']." </option>\n";
		}		
		echo "				</optgroup>\n";
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	

	
	//Seleziona anagarfica
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Ricerca anagrafica</label>\n";	
	if( ($n3) == 0 ){
		echo "				... Non ci sono anagrafiche in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idanagrafica\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idanagrafica\" name=\"idanagrafica\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"\">- Seleziona una anagarfica -</option>\n";				
		echo "					<optgroup label=\"Anagrafiche (".$n3.")\">\n";		
		for( $i=0;$i<$n3;$i++ ){					
			echo "				<option value=\"".$rs_ana[$i]['idanagrafica']."\"  >".$rs_ana[$i]['ragione_sociale']." </option>\n";
		}		
		echo "				</optgroup>\n";
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	echo "	</div>\n";


	?>
	

	
	<script type="text/javascript">	
		dir = '<?php echo $dir ?>';		
		function add_transazione(){		
			if( $('#idintervento option:selected').val()!='' && $('#idanagrafica option:selected').val()!='' ){
				$("#link_form").submit();
			} else {			
				swal("Tipologia documento mancante o Anagrafica mancante!")	
			}

			
		}


		$(document).ready( function(){
		start_superselect();
		start_inputmask();
		$('.datepicker').datepicker();
	
		});
		
		
	
		function ricalcola_subtotale_riga( r ){
			subtot = force_decimal( $("#subtot_"+r).val() );
			
			sconto = force_decimal( $("#sconto_"+r).val() );
			subtot = subtot-sconto;
			
			qta = force_decimal( $("#qta_"+r).val() );
			if( isNaN(qta) ){
				qta = 0;
			}			
			qtamax = force_decimal( $("#qtamax_"+r).val() );
			if( isNaN(qtamax) ){
				qtamax = 0;
			}			
			iva = force_decimal( $("#iva_"+r).val() );						
			//Se inserisco una quantità da evadere maggiore di quella rimanente, la imposto al massimo possibile
			if( qta>qtamax ){
				qta = qtamax.toFixed(2).toString().replace('.', ',');
				$('#qta_'+r).val( qta );
			}			
			//Se tolgo la spunta della casella dell'evasione devo azzerare i conteggi
			if( !$('#checked_'+r).is(':checked') ){
				qta = 0;
			}			
			subtotale = (subtot*qta+iva*qta).toFixed(2).toString();
			subtotale = subtotale.replace( '.', ',' );			
			$("#subtotale_"+r).html(subtotale+" &euro;");
			$("#subtotaledettagli_"+r).html( (subtot*qta).toFixed(2)+" + " + (iva*qta).toFixed(2) );			
			ricalcola_totale();
		}
	
	
		function ricalcola_totale(){
			r = 0;
			totale = 0.00;
			$('input[id*=qta_]').each( function(){
				qta = force_decimal( $(this).val() );
				if( !$('#checked_'+r).is(':checked') || isNaN(qta) ){
					qta = 0;
				}
				subtot = force_decimal( $("#subtot_"+r).val() );				
				sconto = force_decimal( $("#sconto_"+r).val() );
				subtot = subtot-sconto;
				iva = force_decimal( $("#iva_"+r).val() );
				totale += subtot*qta+iva*qta;
				r++;
			});
			$('#totale').html( (totale.toFixed(2).replace( '.', ',' )) + " &euro;" );			
			if( totale==0 )
				$('#submit_btn').hide();
			else
				$('#submit_btn').show();
		}
		
	</script>
	<script src="<?php echo $rootdir; ?>/lib/init.js"></script>
	<?php		
	echo "<a onclick=\"add_transazione();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-plus\"></i> Crea nuovo documento</a>\n";	
	echo "</form>\n";
	
	?>
	
	<div class="clearfix"></div>


